Jakarta-Regexp 1.5 API: Class StreamCharacterIterator

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class StreamCharacterIterator

    java.lang.Object
      |
      +--org.apache.regexp.StreamCharacterIterator

All Implemented Interfaces:
  CharacterIterator

public final class StreamCharacterIterator
extends java.lang.Object
implements CharacterIterator

Encapsulates java.io.InputStream as CharacterIterator.

Version:
  CVS $Id: StreamCharacterIterator.java 518156 2007-03-14 14:31:26Z vgritsenko $
Author:
  Ales Novak

Field Summary
`private java.lang.StringBuffer` | `buff` Buffer of read chars
`private boolean` | `closed` read end?
`private java.io.InputStream` | `is` Underlying is

Constructor Summary
`StreamCharacterIterator(java.io.InputStream is)`

Method Summary
`char` | `charAt(int pos)`
`private void` | `ensure(int idx)` Reads chars up to the idx
`boolean` | `isEnd(int pos)`
`private int` | `read(int n)` Reads n characters from the stream and appends them to the buffer
`private void` | `readAll()` Reads rest of the stream.
`java.lang.String` | `substring(int beginIndex)`
`java.lang.String` | `substring(int beginIndex, int endIndex)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### is

    private final java.io.InputStream is

  Underlying is

### buff

    private final java.lang.StringBuffer buff

  Buffer of read chars

### closed

    private boolean closed

  read end?

Constructor Detail

### StreamCharacterIterator

    public StreamCharacterIterator(java.io.InputStream is)

  Parameters:
    `is` - an InputStream, which is parsed

Method Detail

### substring

    public java.lang.String substring(int beginIndex,
                                      int endIndex)

  Specified by:
    `substring` in interface `CharacterIterator`
  Returns:
    a substring

### substring

    public java.lang.String substring(int beginIndex)

  Specified by:
    `substring` in interface `CharacterIterator`
  Returns:
    a substring

### charAt

    public char charAt(int pos)

  Specified by:
    `charAt` in interface `CharacterIterator`
  Returns:
    a character at the specified position.

### isEnd

    public boolean isEnd(int pos)

  Specified by:
    `isEnd` in interface `CharacterIterator`
  Returns:
    `true` iff if the specified index is after the end of the character stream

### read

    private int read(int n)
              throws java.io.IOException

  Reads n characters from the stream and appends them to the buffer

### readAll

    private void readAll()
                  throws java.io.IOException

  Reads rest of the stream.

### ensure

    private void ensure(int idx)
                 throws java.io.IOException

  Reads chars up to the idx

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.